OPAL-DUMP-PARSE(8)

NAME
opal-dump-parse - Parse OPAL System dump

SYNOPSIS
opal-dump-parse [ -l | -h | -s id | -o file<SYSDUMP>

DESCRIPTION
On Power Systems service processor (FSP) generates System dump (SYSDUMP) during system crash. On PowerKVM machine SYSDUMP contains OPAL logs. This tool helps to extract OPAL log from System dump.

OPTIONS

-l  List all the sections

-s id
    Capture log with specific section id

-o file
    Output file to capture the log with specified section id

-h  Display help message

EXAMPLES

1. Capture Skiboot log
    # opal-dump-parse SYSDUMP.10665FT.00000003.20140513071107
    By default the log is captured to Skiboot-log.<serial no>.<dump ID>.<time stamp>

2. List the sections of SYSDUMP
    # opal-dump-parse -l SYSDUMP.10665FT.00000003.20140513071107

3. Capture the log with particular section id
    # opal-dump-parse -s 1 SYSDUMP.10665FT.00000003.20140513071107
    By default the log is captured to Opal-log.<serial no>.<dump ID>.<time stamp>
NOTE:
    printk section (kernel log buffer) has raw printk buffer which can be analysed
    by using strings command.
    Usage:
        strings <printk log file>

4. Capture the log to a particular file
    # opal-dump-parse -o temp SYSDUMP.10665FT.00000003.20140513071107
    Captures OPAL log to file "temp"

SEE ALSO
opal_errd(8)